Skip to main content
GET
/
webhooks
List Webhooks
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.thanks.io/api/v2/webhooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "id": 11,
      "user_id": 2,
      "mailing_list_id": 1,
      "type": "order_item.status_update",
      "description": "Updated webhook destination",
      "invoke_count": 0,
      "url": "https://example.com/webhooks/thanksio-updated",
      "verb": "get",
      "created_at": "2026-03-02T02:10:33.000000Z",
      "updated_at": "2026-03-02T02:23:27.000000Z",
      "deleted_at": null
    },
    {
      "id": 10,
      "user_id": 2,
      "mailing_list_id": null,
      "type": "order.status_update",
      "description": "Order status updates",
      "invoke_count": 70,
      "url": "https://example.com/webhooks/thanksio",
      "verb": "post",
      "created_at": "2026-03-02T02:10:29.000000Z",
      "updated_at": "2026-03-10T17:45:02.000000Z",
      "deleted_at": null
    }
  ],
  "links": {
    "first": "https://api.thanks.io/api/v2/webhooks?page=1",
    "last": "https://api.thanks.io/api/v2/webhooks?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.thanks.io/api/v2/webhooks",
    "per_page": "15",
    "to": 2,
    "total": 2
  },
  "can_manage_webhooks": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.thanks.io/llms.txt

Use this file to discover all available pages before exploring further.

Webhooks are available on paid subscriptions only.

Authorizations

Authorization
string
header
required

Bearer token authentication using your thanks.io API key

Query Parameters

items_per_page
integer
default:25

Number of items to return per page.

Response

OK

data
object[]
meta
object
can_manage_webhooks
boolean
Example:

true